# xoxys.udev

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.udev/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.udev)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.udev/src/branch/main/LICENSE)

Setup udev system and rules.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [udev_log_level](#udev_log_level)
  - [udev_rules](#udev_rules)
  - [udev_rules_extra](#udev_rules_extra)
  - [udev_rules_unmanaged](#udev_rules_unmanaged)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### udev_log_level

#### Default value

```YAML
udev_log_level: info
```

### udev_rules

#### Default value

```YAML
udev_rules: []
```

### udev_rules_extra

#### Default value

```YAML
udev_rules_extra: []
```

### udev_rules_unmanaged

#### Default value

```YAML
udev_rules_unmanaged:
  - 70-persistent-net
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
